# -*- encoding: utf-8 -*-
# stub: azure_mgmt_locks 0.17.3 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_locks".freeze
  s.version = "0.17.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_locks" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2020-06-05"
  s.description = "Microsoft Azure Resource Lock Management Client Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2015-01-01".freeze, "lib/2015-01-01/generated".freeze, "lib/2015-01-01/generated/azure_mgmt_locks".freeze, "lib/2015-01-01/generated/azure_mgmt_locks.rb".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/management_lock_client.rb".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/management_locks.rb".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/models".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/models/lock_level.rb".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/models/management_lock_list_result.rb".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/models/management_lock_object.rb".freeze, "lib/2015-01-01/generated/azure_mgmt_locks/module_definition.rb".freeze, "lib/2016-09-01".freeze, "lib/2016-09-01/generated".freeze, "lib/2016-09-01/generated/azure_mgmt_locks".freeze, "lib/2016-09-01/generated/azure_mgmt_locks.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/authorization_operations.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/management_lock_client.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/management_locks.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/lock_level.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/management_lock_list_result.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/management_lock_object.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/management_lock_owner.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/operation.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/operation_display.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/models/operation_list_result.rb".freeze, "lib/2016-09-01/generated/azure_mgmt_locks/module_definition.rb".freeze, "lib/azure_mgmt_locks.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/locks_latest_profile_client.rb".freeze, "lib/profiles/latest/locks_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/locks_profile_module.rb".freeze, "lib/profiles/v2017_03_09".freeze, "lib/profiles/v2017_03_09/locks_module_definition.rb".freeze, "lib/profiles/v2017_03_09/locks_v2017_03_09_profile_client.rb".freeze, "lib/profiles/v2017_03_09/modules".freeze, "lib/profiles/v2017_03_09/modules/locks_profile_module.rb".freeze, "lib/profiles/v2018_03_01".freeze, "lib/profiles/v2018_03_01/locks_module_definition.rb".freeze, "lib/profiles/v2018_03_01/locks_v2018_03_01_profile_client.rb".freeze, "lib/profiles/v2018_03_01/modules".freeze, "lib/profiles/v2018_03_01/modules/locks_profile_module.rb".freeze, "lib/profiles/v2019_03_01_hybrid".freeze, "lib/profiles/v2019_03_01_hybrid/locks_module_definition.rb".freeze, "lib/profiles/v2019_03_01_hybrid/locks_v2019_03_01_hybrid_profile_client.rb".freeze, "lib/profiles/v2019_03_01_hybrid/modules".freeze, "lib/profiles/v2019_03_01_hybrid/modules/locks_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Resource Lock Management services.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
      s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
      s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
      s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
    else
      s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
      s.add_dependency(%q<rake>.freeze, ["~> 10"])
      s.add_dependency(%q<rspec>.freeze, ["~> 3"])
      s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
      s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
    end
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
